### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# utils.terminal

## Module: `utils.terminal`

Utilities for working with terminals.

Authors:

- Brian E. Granger
- Fernando Perez
- Alexander Belchenko (e-mail: bialix AT ukr.net)

## Functions

`IPython.utils.terminal.``freeze_term_title`()

`IPython.utils.terminal.``get_terminal_size`(defaultx=80, defaulty=25)

`IPython.utils.terminal.``set_term_title`(title)

  Set terminal title using the necessary platform-dependent calls.

`IPython.utils.terminal.``term_clear`()

`IPython.utils.terminal.``toggle_set_term_title`(val)

  Control whether set_term_title is active or not.

  set_term_title() allows writing to the console titlebar. In embedded widgets this can cause problems, so this call can be used to toggle it on or off as needed.

  The default state of the module is for the function to be disabled.

  Parameters :

  val : bool

  > If True, set_term_title() actually writes to the terminal (using the appropriate platform-specific module). If False, it is a no-op.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »